package com.chenyang.druid.sql.dialect.oracle.visitor;

import com.chenyang.druid.sql.ast.statement.SQLCheck;
import com.chenyang.druid.sql.ast.statement.SQLCreateIndexStatement;
import com.chenyang.druid.sql.ast.statement.SQLCreateTableStatement;
import com.chenyang.druid.sql.ast.statement.SQLDeleteStatement;
import com.chenyang.druid.sql.ast.statement.SQLForeignKeyImpl;
import com.chenyang.druid.sql.ast.statement.SQLInsertStatement;
import com.chenyang.druid.sql.ast.statement.SQLSelectQueryBlock;
import com.chenyang.druid.sql.ast.statement.SQLUnique;
import com.chenyang.druid.sql.ast.statement.SQLUpdateStatement;
import com.chenyang.druid.sql.dialect.oracle.ast.OracleDataTypeIntervalDay;
import com.chenyang.druid.sql.dialect.oracle.ast.OracleDataTypeIntervalYear;
import com.chenyang.druid.sql.dialect.oracle.ast.clause.CycleClause;
import com.chenyang.druid.sql.dialect.oracle.ast.clause.ModelClause;
import com.chenyang.druid.sql.dialect.oracle.ast.clause.OracleLobStorageClause;
import com.chenyang.druid.sql.dialect.oracle.ast.clause.OracleReturningClause;
import com.chenyang.druid.sql.dialect.oracle.ast.clause.OracleStorageClause;
import com.chenyang.druid.sql.dialect.oracle.ast.clause.OracleWithSubqueryEntry;
import com.chenyang.druid.sql.dialect.oracle.ast.clause.PartitionExtensionClause;
import com.chenyang.druid.sql.dialect.oracle.ast.clause.SampleClause;
import com.chenyang.druid.sql.dialect.oracle.ast.clause.SearchClause;
import com.chenyang.druid.sql.dialect.oracle.ast.expr.OracleAnalytic;
import com.chenyang.druid.sql.dialect.oracle.ast.expr.OracleAnalyticWindowing;
import com.chenyang.druid.sql.dialect.oracle.ast.expr.OracleArgumentExpr;
import com.chenyang.druid.sql.dialect.oracle.ast.expr.OracleBinaryDoubleExpr;
import com.chenyang.druid.sql.dialect.oracle.ast.expr.OracleBinaryFloatExpr;
import com.chenyang.druid.sql.dialect.oracle.ast.expr.OracleCursorExpr;
import com.chenyang.druid.sql.dialect.oracle.ast.expr.OracleDatetimeExpr;
import com.chenyang.druid.sql.dialect.oracle.ast.expr.OracleIntervalExpr;
import com.chenyang.druid.sql.dialect.oracle.ast.expr.OracleIsOfTypeExpr;
import com.chenyang.druid.sql.dialect.oracle.ast.expr.OracleIsSetExpr;
import com.chenyang.druid.sql.dialect.oracle.ast.expr.OracleJsonArrayAggExpr;
import com.chenyang.druid.sql.dialect.oracle.ast.expr.OracleJsonObjectExpr;
import com.chenyang.druid.sql.dialect.oracle.ast.expr.OracleMethodInvokeAccessExpr;
import com.chenyang.druid.sql.dialect.oracle.ast.expr.OracleMultisetExpr;
import com.chenyang.druid.sql.dialect.oracle.ast.expr.OracleOuterExpr;
import com.chenyang.druid.sql.dialect.oracle.ast.expr.OracleRangeExpr;
import com.chenyang.druid.sql.dialect.oracle.ast.expr.OracleSysdateExpr;
import com.chenyang.druid.sql.dialect.oracle.ast.expr.OracleTreatExpr;
import com.chenyang.druid.sql.dialect.oracle.ast.expr.OracleXmlContentExpr;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleAlterSessionStatement;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleAlterSynonymStatement;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleAlterTableDropPartition;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleAlterTableModify;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleAlterTableMoveTablespace;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleAlterTableSplitPartition;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleAlterTableTruncatePartition;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleAlterTablespaceAddDataFile;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleAlterTablespaceStatement;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleAlterTriggerStatement;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleAlterViewStatement;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleCheck;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleContinueStatement;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleCreateDatabaseDbLinkStatement;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleCreateIndexStatement;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleCreatePackageStatement;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleCreateSynonymStatement;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleCreateTableStatement;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleCreateTypeStatement;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleDeleteStatement;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleDropDbLinkStatement;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleExceptionStatement;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleExecuteImmediateStatement;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleExitStatement;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleExplainStatement;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleFileSpecification;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleForStatement;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleForeignKey;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleGotoStatement;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleInsertStatement;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleLabelStatement;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleLockTableStatement;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleMultiInsertStatement;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OraclePipeRowStatement;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OraclePrimaryKey;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleRaiseStatement;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleRunStatement;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleSelectJoin;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleSelectPivot;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleSelectQueryBlock;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleSelectRestriction;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleSelectSubqueryTableSource;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleSelectTableReference;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleSelectUnPivot;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleSetTransactionStatement;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleSupplementalIdKey;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleSupplementalLogGrp;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleUnique;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleUpdateStatement;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleUsingIndexClause;
import com.chenyang.druid.sql.dialect.oracle.ast.stmt.OracleXmlColumnProperties;
import com.chenyang.druid.sql.visitor.SQLASTVisitorAdapter;

public class OracleASTVisitorAdapter extends SQLASTVisitorAdapter implements OracleASTVisitor {
   public void endVisit(OracleAnalytic x) {
   }

   public void endVisit(OracleAnalyticWindowing x) {
   }

   public void endVisit(OracleDeleteStatement x) {
      this.endVisit((SQLDeleteStatement)x);
   }

   public void endVisit(OracleIntervalExpr x) {
   }

   public void endVisit(OracleOuterExpr x) {
   }

   public void endVisit(OracleSelectJoin x) {
   }

   public void endVisit(OracleSelectPivot x) {
   }

   public void endVisit(OracleSelectPivot.Item x) {
   }

   public void endVisit(OracleSelectRestriction.CheckOption x) {
   }

   public void endVisit(OracleSelectRestriction.ReadOnly x) {
   }

   public void endVisit(OracleSelectSubqueryTableSource x) {
   }

   public void endVisit(OracleSelectUnPivot x) {
   }

   public void endVisit(OracleUpdateStatement x) {
   }

   public boolean visit(OracleAnalytic x) {
      return true;
   }

   public boolean visit(OracleAnalyticWindowing x) {
      return true;
   }

   public boolean visit(OracleDeleteStatement x) {
      return this.visit((SQLDeleteStatement)x);
   }

   public boolean visit(OracleIntervalExpr x) {
      return true;
   }

   public boolean visit(OracleOuterExpr x) {
      return true;
   }

   public boolean visit(OracleSelectJoin x) {
      return true;
   }

   public boolean visit(OracleSelectPivot x) {
      return true;
   }

   public boolean visit(OracleSelectPivot.Item x) {
      return true;
   }

   public boolean visit(OracleSelectRestriction.CheckOption x) {
      return true;
   }

   public boolean visit(OracleSelectRestriction.ReadOnly x) {
      return true;
   }

   public boolean visit(OracleSelectSubqueryTableSource x) {
      return true;
   }

   public boolean visit(OracleSelectUnPivot x) {
      return true;
   }

   public boolean visit(OracleUpdateStatement x) {
      return this.visit((SQLUpdateStatement)x);
   }

   public boolean visit(SampleClause x) {
      return true;
   }

   public void endVisit(SampleClause x) {
   }

   public boolean visit(OracleSelectTableReference x) {
      return true;
   }

   public void endVisit(OracleSelectTableReference x) {
   }

   public boolean visit(PartitionExtensionClause x) {
      return true;
   }

   public void endVisit(PartitionExtensionClause x) {
   }

   public boolean visit(OracleWithSubqueryEntry x) {
      return true;
   }

   public void endVisit(OracleWithSubqueryEntry x) {
   }

   public boolean visit(SearchClause x) {
      return true;
   }

   public void endVisit(SearchClause x) {
   }

   public boolean visit(CycleClause x) {
      return true;
   }

   public void endVisit(CycleClause x) {
   }

   public boolean visit(OracleBinaryFloatExpr x) {
      return true;
   }

   public void endVisit(OracleBinaryFloatExpr x) {
   }

   public boolean visit(OracleBinaryDoubleExpr x) {
      return true;
   }

   public void endVisit(OracleBinaryDoubleExpr x) {
   }

   public boolean visit(OracleCursorExpr x) {
      return true;
   }

   public void endVisit(OracleCursorExpr x) {
   }

   public boolean visit(OracleIsSetExpr x) {
      return true;
   }

   public void endVisit(OracleIsSetExpr x) {
   }

   public boolean visit(ModelClause.ReturnRowsClause x) {
      return true;
   }

   public void endVisit(ModelClause.ReturnRowsClause x) {
   }

   public boolean visit(ModelClause.MainModelClause x) {
      return true;
   }

   public void endVisit(ModelClause.MainModelClause x) {
   }

   public boolean visit(ModelClause.ModelColumnClause x) {
      return true;
   }

   public void endVisit(ModelClause.ModelColumnClause x) {
   }

   public boolean visit(ModelClause.QueryPartitionClause x) {
      return true;
   }

   public void endVisit(ModelClause.QueryPartitionClause x) {
   }

   public boolean visit(ModelClause.ModelColumn x) {
      return true;
   }

   public void endVisit(ModelClause.ModelColumn x) {
   }

   public boolean visit(ModelClause.ModelRulesClause x) {
      return true;
   }

   public void endVisit(ModelClause.ModelRulesClause x) {
   }

   public boolean visit(ModelClause.CellAssignmentItem x) {
      return true;
   }

   public void endVisit(ModelClause.CellAssignmentItem x) {
   }

   public boolean visit(ModelClause.CellAssignment x) {
      return true;
   }

   public void endVisit(ModelClause.CellAssignment x) {
   }

   public boolean visit(ModelClause x) {
      return true;
   }

   public void endVisit(ModelClause x) {
   }

   public boolean visit(OracleReturningClause x) {
      return true;
   }

   public void endVisit(OracleReturningClause x) {
   }

   public boolean visit(OracleInsertStatement x) {
      return this.visit((SQLInsertStatement)x);
   }

   public void endVisit(OracleInsertStatement x) {
      this.endVisit((SQLInsertStatement)x);
   }

   public boolean visit(OracleMultiInsertStatement.InsertIntoClause x) {
      return false;
   }

   public void endVisit(OracleMultiInsertStatement.InsertIntoClause x) {
   }

   public boolean visit(OracleMultiInsertStatement x) {
      return true;
   }

   public void endVisit(OracleMultiInsertStatement x) {
   }

   public boolean visit(OracleMultiInsertStatement.ConditionalInsertClause x) {
      return true;
   }

   public void endVisit(OracleMultiInsertStatement.ConditionalInsertClause x) {
   }

   public boolean visit(OracleMultiInsertStatement.ConditionalInsertClauseItem x) {
      return true;
   }

   public void endVisit(OracleMultiInsertStatement.ConditionalInsertClauseItem x) {
   }

   public boolean visit(OracleSelectQueryBlock x) {
      return this.visit((SQLSelectQueryBlock)x);
   }

   public void endVisit(OracleSelectQueryBlock x) {
      this.endVisit((SQLSelectQueryBlock)x);
   }

   public boolean visit(OracleLockTableStatement x) {
      return true;
   }

   public void endVisit(OracleLockTableStatement x) {
   }

   public boolean visit(OracleAlterSessionStatement x) {
      return true;
   }

   public void endVisit(OracleAlterSessionStatement x) {
   }

   public boolean visit(OracleDatetimeExpr x) {
      return true;
   }

   public void endVisit(OracleDatetimeExpr x) {
   }

   public boolean visit(OracleSysdateExpr x) {
      return true;
   }

   public void endVisit(OracleSysdateExpr x) {
   }

   public boolean visit(OracleExceptionStatement x) {
      return true;
   }

   public void endVisit(OracleExceptionStatement x) {
   }

   public boolean visit(OracleExceptionStatement.Item x) {
      return true;
   }

   public void endVisit(OracleExceptionStatement.Item x) {
   }

   public boolean visit(OracleArgumentExpr x) {
      return true;
   }

   public void endVisit(OracleArgumentExpr x) {
   }

   public boolean visit(OracleSetTransactionStatement x) {
      return true;
   }

   public void endVisit(OracleSetTransactionStatement x) {
   }

   public boolean visit(OracleExplainStatement x) {
      return true;
   }

   public void endVisit(OracleExplainStatement x) {
   }

   public boolean visit(OracleAlterTableDropPartition x) {
      return true;
   }

   public void endVisit(OracleAlterTableDropPartition x) {
   }

   public boolean visit(OracleAlterTableTruncatePartition x) {
      return true;
   }

   public void endVisit(OracleAlterTableTruncatePartition x) {
   }

   public boolean visit(OracleAlterTableSplitPartition.TableSpaceItem x) {
      return true;
   }

   public void endVisit(OracleAlterTableSplitPartition.TableSpaceItem x) {
   }

   public boolean visit(OracleAlterTableSplitPartition.UpdateIndexesClause x) {
      return true;
   }

   public void endVisit(OracleAlterTableSplitPartition.UpdateIndexesClause x) {
   }

   public boolean visit(OracleAlterTableSplitPartition.NestedTablePartitionSpec x) {
      return true;
   }

   public void endVisit(OracleAlterTableSplitPartition.NestedTablePartitionSpec x) {
   }

   public boolean visit(OracleAlterTableSplitPartition x) {
      return true;
   }

   public void endVisit(OracleAlterTableSplitPartition x) {
   }

   public boolean visit(OracleAlterTableModify x) {
      return true;
   }

   public void endVisit(OracleAlterTableModify x) {
   }

   public boolean visit(OracleCreateIndexStatement x) {
      return this.visit((SQLCreateIndexStatement)x);
   }

   public void endVisit(OracleCreateIndexStatement x) {
      this.endVisit((SQLCreateIndexStatement)x);
   }

   public boolean visit(OracleForStatement x) {
      return true;
   }

   public void endVisit(OracleForStatement x) {
   }

   public boolean visit(OracleRangeExpr x) {
      return true;
   }

   public void endVisit(OracleRangeExpr x) {
   }

   public boolean visit(OraclePrimaryKey x) {
      return true;
   }

   public void endVisit(OraclePrimaryKey x) {
   }

   public boolean visit(OracleCreateTableStatement x) {
      return this.visit((SQLCreateTableStatement)x);
   }

   public void endVisit(OracleCreateTableStatement x) {
      this.endVisit((SQLCreateTableStatement)x);
   }

   public boolean visit(OracleStorageClause x) {
      return true;
   }

   public void endVisit(OracleStorageClause x) {
   }

   public boolean visit(OracleGotoStatement x) {
      return true;
   }

   public void endVisit(OracleGotoStatement x) {
   }

   public boolean visit(OracleLabelStatement x) {
      return true;
   }

   public void endVisit(OracleLabelStatement x) {
   }

   public boolean visit(OracleAlterTriggerStatement x) {
      return true;
   }

   public void endVisit(OracleAlterTriggerStatement x) {
   }

   public boolean visit(OracleAlterSynonymStatement x) {
      return true;
   }

   public void endVisit(OracleAlterSynonymStatement x) {
   }

   public boolean visit(OracleAlterViewStatement x) {
      return true;
   }

   public void endVisit(OracleAlterViewStatement x) {
   }

   public boolean visit(OracleAlterTableMoveTablespace x) {
      return true;
   }

   public void endVisit(OracleAlterTableMoveTablespace x) {
   }

   public boolean visit(OracleFileSpecification x) {
      return true;
   }

   public void endVisit(OracleFileSpecification x) {
   }

   public boolean visit(OracleAlterTablespaceAddDataFile x) {
      return true;
   }

   public void endVisit(OracleAlterTablespaceAddDataFile x) {
   }

   public boolean visit(OracleAlterTablespaceStatement x) {
      return true;
   }

   public void endVisit(OracleAlterTablespaceStatement x) {
   }

   public boolean visit(OracleExitStatement x) {
      return true;
   }

   public void endVisit(OracleExitStatement x) {
   }

   public boolean visit(OracleContinueStatement x) {
      return true;
   }

   public void endVisit(OracleContinueStatement x) {
   }

   public boolean visit(OracleRaiseStatement x) {
      return true;
   }

   public void endVisit(OracleRaiseStatement x) {
   }

   public boolean visit(OracleCreateDatabaseDbLinkStatement x) {
      return true;
   }

   public void endVisit(OracleCreateDatabaseDbLinkStatement x) {
   }

   public boolean visit(OracleDropDbLinkStatement x) {
      return true;
   }

   public void endVisit(OracleDropDbLinkStatement x) {
   }

   public boolean visit(OracleDataTypeIntervalYear x) {
      return true;
   }

   public void endVisit(OracleDataTypeIntervalYear x) {
   }

   public boolean visit(OracleDataTypeIntervalDay x) {
      return true;
   }

   public void endVisit(OracleDataTypeIntervalDay x) {
   }

   public boolean visit(OracleUsingIndexClause x) {
      return true;
   }

   public void endVisit(OracleUsingIndexClause x) {
   }

   public boolean visit(OracleLobStorageClause x) {
      return true;
   }

   public void endVisit(OracleLobStorageClause x) {
   }

   public boolean visit(OracleUnique x) {
      return this.visit((SQLUnique)x);
   }

   public void endVisit(OracleUnique x) {
      this.endVisit((SQLUnique)x);
   }

   public boolean visit(OracleForeignKey x) {
      return this.visit((SQLForeignKeyImpl)x);
   }

   public void endVisit(OracleForeignKey x) {
      this.endVisit((SQLForeignKeyImpl)x);
   }

   public boolean visit(OracleCheck x) {
      return this.visit((SQLCheck)x);
   }

   public void endVisit(OracleCheck x) {
      this.endVisit((SQLCheck)x);
   }

   public boolean visit(OracleSupplementalIdKey x) {
      return true;
   }

   public void endVisit(OracleSupplementalIdKey x) {
   }

   public boolean visit(OracleSupplementalLogGrp x) {
      return true;
   }

   public void endVisit(OracleSupplementalLogGrp x) {
   }

   public boolean visit(OracleCreateTableStatement.Organization x) {
      return true;
   }

   public void endVisit(OracleCreateTableStatement.Organization x) {
   }

   public boolean visit(OracleCreateTableStatement.OIDIndex x) {
      return true;
   }

   public void endVisit(OracleCreateTableStatement.OIDIndex x) {
   }

   public boolean visit(OracleCreatePackageStatement x) {
      return true;
   }

   public void endVisit(OracleCreatePackageStatement x) {
   }

   public boolean visit(OracleExecuteImmediateStatement x) {
      return true;
   }

   public void endVisit(OracleExecuteImmediateStatement x) {
   }

   public boolean visit(OracleTreatExpr x) {
      return true;
   }

   public void endVisit(OracleTreatExpr x) {
   }

   public boolean visit(OracleCreateSynonymStatement x) {
      return true;
   }

   public void endVisit(OracleCreateSynonymStatement x) {
   }

   public boolean visit(OracleCreateTypeStatement x) {
      return true;
   }

   public void endVisit(OracleCreateTypeStatement x) {
   }

   public boolean visit(OraclePipeRowStatement x) {
      return true;
   }

   public void endVisit(OraclePipeRowStatement x) {
   }

   public boolean visit(OracleIsOfTypeExpr x) {
      return true;
   }

   public void endVisit(OracleIsOfTypeExpr x) {
   }

   public boolean visit(OracleRunStatement x) {
      return true;
   }

   public void endVisit(OracleRunStatement x) {
   }

   public boolean visit(OracleXmlColumnProperties x) {
      return true;
   }

   public void endVisit(OracleXmlColumnProperties x) {
   }

   public boolean visit(OracleXmlColumnProperties.OracleXMLTypeStorage x) {
      return true;
   }

   public void endVisit(OracleXmlColumnProperties.OracleXMLTypeStorage x) {
   }

   public boolean visit(OracleXmlContentExpr x) {
      return true;
   }

   public void endVisit(OracleXmlContentExpr x) {
   }

   public boolean visit(OracleMethodInvokeAccessExpr x) {
      return true;
   }

   public void endVisit(OracleMethodInvokeAccessExpr x) {
   }

   public boolean visit(OracleMultisetExpr x) {
      return true;
   }

   public void endVisit(OracleMultisetExpr x) {
   }

   public boolean visit(OracleJsonObjectExpr x) {
      return true;
   }

   public void endVisit(OracleJsonObjectExpr x) {
   }

   public boolean visit(OracleJsonObjectExpr.OracleJsonObjectExprItem x) {
      return true;
   }

   public void endVisit(OracleJsonObjectExpr.OracleJsonObjectExprItem x) {
   }

   public boolean visit(OracleJsonObjectExpr.OracleJsonObjectOnNullClause x) {
      return true;
   }

   public void endVisit(OracleJsonObjectExpr.OracleJsonObjectOnNullClause x) {
   }

   public boolean visit(OracleJsonObjectExpr.OracleJsonObjectReturnClause x) {
      return true;
   }

   public void endVisit(OracleJsonObjectExpr.OracleJsonObjectReturnClause x) {
   }

   public boolean visit(OracleJsonArrayAggExpr x) {
      return true;
   }

   public void endVisit(OracleJsonArrayAggExpr x) {
   }

   public boolean visit(OracleJsonArrayAggExpr.OracleJsonAggArrayOnNullClause x) {
      return true;
   }

   public void endVisit(OracleJsonArrayAggExpr.OracleJsonAggArrayOnNullClause x) {
   }

   public boolean visit(OracleJsonArrayAggExpr.OracleJsonAggArrayReturnClause x) {
      return true;
   }

   public void endVisit(OracleJsonArrayAggExpr.OracleJsonAggArrayReturnClause x) {
   }
}
